Bug 1328432 - Negative nice values reported incorrectly
Summary: Negative nice values reported incorrectly
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: pcp
Version: 23
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Nathan Scott
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-04-19 11:36 UTC by Marko Myllynen
Modified: 2016-07-09 20:19 UTC (History)
7 users (show)

Fixed In Version: pcp-3.11.3-1.el5
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-07-09 20:19:30 UTC


Attachments (Terms of Use)

Description Marko Myllynen 2016-04-19 11:36:02 UTC
Description of problem:
# top -b -n 1 | grep -E '(PID| audit)'             
  PID USER      PR  NI    VIRT    RES    SHR S  %CPU %MEM     TIME+ COMMAND
  730 root      16  -4  116744   1796   1324 S   0.0  0.0   0:00.11 auditd
# pminfo -dmtT proc.psinfo.nice       

proc.psinfo.nice PMID: 3.8.18 [process nice value (negative nice values are lower priority)]
    Data Type: 32-bit unsigned int  InDom: 3.9 0xc00009
    Semantics: discrete  Units: none
Help:
process nice value (negative nice values are lower priority)
# pminfo -f proc.psinfo.nice | grep "[/]auditd" 
    inst [730 or "000730 /sbin/auditd -n"] value 4294967292
# pmval -i 730 -s 1 proc.psinfo.nice               

metric:    proc.psinfo.nice
host:      localhost
semantics: discrete instantaneous value
units:     none
samples:   1

        730 
 4294967292 
#

Comment 1 Marko Myllynen 2016-04-19 11:39:57 UTC
Ditto for proc.psinfo.priority (i.e., should be 32-bit int not 32-bit uint).

proc.psinfo,tty_pgrp also worth checking.

Comment 2 Nathan Scott 2016-04-20 06:07:51 UTC
Thanks Marko, this is fixed upstream now & tty_pgrp was indeed worth checking.

commit aef250ad7f91dcc7a975f00de821a0f9526639c6
Author: Nathan Scott <nathans@redhat.com>
Date:   Wed Apr 20 15:42:00 2016 +1000

    pmdaproc: fix per-process scheduler metrics - type and semantics
    
    Correct the type to signed-32bit-int and semantics to instantaneous
    for the proc.psinfo.nice and proc.psinfo.priority metrics, after a
    bit of kernel code review.  Also followed up on Markos point that
    proc.psinfo.tty_pgrp looks dodgey - found the kernel can return -1
    in the case that no tty is associated with the process.  So we will
    return no-values-available in that case, instead of (unsigned)-1.
    
    Log rewriting rules have been put in place, and qa/971 is added.
    
    Resolves Red Hat BZ #1328432.

Comment 3 Fedora Update System 2016-04-29 02:53:17 UTC
pcp-3.11.2-1.el5 has been submitted as an update to Fedora EPEL 5. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-394320f755

Comment 4 Fedora Update System 2016-04-30 01:50:00 UTC
pcp-3.11.2-1.el5 has been pushed to the Fedora EPEL 5 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-394320f755

Comment 5 Fedora Update System 2016-06-18 06:17:37 UTC
pcp-3.11.3-1.el5 has been pushed to the Fedora EPEL 5 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-4745f3e292

Comment 6 Fedora Update System 2016-07-09 20:19:06 UTC
pcp-3.11.3-1.el5 has been pushed to the Fedora EPEL 5 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.